Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.tree
Class DefaultTreeIcons

    java.lang.Object
      echopointng.tree.DefaultTreeIcons

All Implemented Interfaces:
  TreeIcons, java.io.Serializable

    public class DefaultTreeIcons

extends java.lang.Object
implements TreeIcons, java.io.Serializable

This class hold a series of "named" image icons, used by the Tree during rendering, for visuals such as lines between nodes and expansion handles.

See Also:
  Serialized Form

Field Summary
`static Extent` | `DEFAULT_HEIGHT` the default height of the icons is 16px
`static Extent` | `DEFAULT_WIDTH` the default width of the icons is 19px
`protected java.util.Map` | `iconMap` the map of icons images to names
`static ImageReference` | `treeEmpty`
`static ImageReference` | `treeFolder`
`static ImageReference` | `treeFolderOpen`
`static ImageReference` | `treeJoin`
`static ImageReference` | `treeJoinBottom`
`static ImageReference` | `treeLeaf`
`static ImageReference` | `treeLine`
`static ImageReference` | `treeMinus`
`static ImageReference` | `treeMinusBottom`
`static ImageReference` | `treePlus`
`static ImageReference` | `treePlusBottom`
`static ImageReference` | `treeRoot`

Fields inherited from interface echopointng.tree.TreeIcons
`ICON_EMPTY, ICON_FOLDER, ICON_FOLDEROPEN, ICON_JOIN, ICON_JOINBOTTOM, ICON_JOINNOLINE, ICON_LEAF, ICON_LINE, ICON_MINUS, ICON_MINUSBOTTOM, ICON_PLUS, ICON_PLUSBOTTOM, ICON_ROOT, ICON_ROOTOPEN`

Constructor Summary
`DefaultTreeIcons()` Creates the DefaultTreeIcons with the default static default icon images

Method Summary
`ImageReference` | `getIcon(java.lang.String iconName)` Returns an icon image with the given name
`void` | `setIcon(java.lang.String iconName, ImageReference iconImage)` Sets a named icon into the TreeIcon object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iconMap

    protected java.util.Map iconMap

  the map of icons images to names

### DEFAULT_WIDTH

    public static final Extent DEFAULT_WIDTH

  the default width of the icons is 19px

### DEFAULT_HEIGHT

    public static final Extent DEFAULT_HEIGHT

  the default height of the icons is 16px

### treeEmpty

    public static ImageReference treeEmpty

### treeFolder

    public static ImageReference treeFolder

### treeFolderOpen

    public static ImageReference treeFolderOpen

### treeLeaf

    public static ImageReference treeLeaf

### treeJoin

    public static ImageReference treeJoin

### treeJoinBottom

    public static ImageReference treeJoinBottom

### treeLine

    public static ImageReference treeLine

### treeMinus

    public static ImageReference treeMinus

### treeMinusBottom

    public static ImageReference treeMinusBottom

### treePlus

    public static ImageReference treePlus

### treePlusBottom

    public static ImageReference treePlusBottom

### treeRoot

    public static ImageReference treeRoot

Constructor Detail

### DefaultTreeIcons

    public DefaultTreeIcons()

  Creates the DefaultTreeIcons with the default static default icon images

Method Detail

### getIcon

    public ImageReference getIcon(java.lang.String iconName)

  Returns an icon image with the given name

  Specified by:
    `getIcon` in interface `TreeIcons`

### setIcon

    public void setIcon(java.lang.String iconName,
                        ImageReference iconImage)

  Sets a named icon into the TreeIcon object

  Specified by:
    `setIcon` in interface `TreeIcons`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD